Package org.silverpeas.components.silvercrawler.statistic

## Class Statistic

- java.lang.Object
- - org.silverpeas.components.silvercrawler.statistic.Statistic

-     public class Statistic
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DIRECTORY` |
    `static String` | `FILE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `addStat​(String userId, File path, String componentId, String objectType)` |
    `static void` | `deleteHistoryByObject​(String path, String componentId)` |
    `static Collection<HistoryDetail>` | `getHistoryByAction​(String path, String componentId)` |
    `static Collection<HistoryByUser>` | `getHistoryByObject​(String path, String componentId)` |
    `static Collection<HistoryDetail>` | `getHistoryByObjectAndUser​(String path, String userId, String componentId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DIRECTORY

          public static final String DIRECTORY

      See Also:
        Constant Field Values

    - #### FILE

          public static final String FILE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### addStat

          public static void addStat​(String userId,
                                     File path,
                                     String componentId,
                                     String objectType)

    - #### getHistoryByObject

          public static Collection<HistoryByUser> getHistoryByObject​(String path,
                                                                     String componentId)

    - #### getHistoryByAction

          public static Collection<HistoryDetail> getHistoryByAction​(String path,
                                                                     String componentId)

    - #### getHistoryByObjectAndUser

          public static Collection<HistoryDetail> getHistoryByObjectAndUser​(String path,
                                                                            String userId,
                                                                            String componentId)

    - #### deleteHistoryByObject

          public static void deleteHistoryByObject​(String path,
                                                   String componentId)